
%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%define qttarballdir qtquickcontrols-opensource-src-%{qtversion}

Name: qtquickcontrols5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0:  http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: qtgui5-private-devel = %{version}
BuildRequires: qtquick5-devel = %{version}
BuildRequires: qtquick5-private-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt Quick Controls.

%files
%{_qt5_prefix}/qml/QtQuick/Controls
%{_qt5_prefix}/qml/QtQuick/Layouts
%{_qt5_prefix}/qml/QtQuick/Dialogs
%{_qt5_prefix}/qml/QtQuick/PrivateWidgets
%{_qt5_prefix}/qml/QtQuick/Extras

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols-opensource-src-%{qtversion}

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Wed Nov 02 2016 adrianomorselli <adrianomorselli> 5.6.2-1uplos2016
- rebuild

* Thu Oct 13 2016 bb <bb> 5.6.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.6.1-2pclos2016
- updated tarball

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
